Bug 124297 - Libreoffice does not recognize Amazon Corretto Java Runtime
Summary: Libreoffice does not recognize Amazon Corretto Java Runtime
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.3 target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-23 17:54 UTC by tcl_de
Modified: 2022-04-06 08:22 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tcl_de 2019-03-23 17:54:34 UTC
Description:
Recently the Amazon Corretto 8 distribution of OpenJDK was released. Contrary to the Oracle JRE 8 it will offer free long term support.

Unfortunately Libreoffice doesn't recongnize Amazon Corretto 8, also if I try to add it in the Java settings by adding the path "C:\Program Files\Amazon Corretto\jre8\bin" .

Steps to Reproduce:
Install Libreoffice 6.2.2.2 (x64)
Install Amazon Corretto 8.202.08.2 x64 ( https://docs.aws.amazon.com/de_de/corretto/latest/corretto-8-ug/downloads-list.html )
Try to set up Java in the Libreoffice settings

Actual Results:
Libreoffice does not recognize the JRE

Expected Results:
Libreoffice recognizes the Amazon Corretto 8 JRE


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Julien Nabet 2019-03-24 09:08:33 UTC
It should be ok with https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-6-2&id=41507db590b24e1b9b45d95cad55c71ba2e4091d

Could you rename your LO directory profile (https://wiki.documentfoundation.org/UserProfile#Windows) and give it a new try?
Comment 2 himajin100000 2019-03-24 10:45:47 UTC
Though the link indicated by Julien looks as if the patch is in 6-2 branch, 

I wonder why the gerrit page 
https://gerrit.libreoffice.org/#/c/67289/
have no indication of
"This patchset was cherry picked to branch libreoffice-6-2" thingy like what I had in https://gerrit.libreoffice.org/#/c/66634/

Also, I cannot find the fix around 2019-02-04 when I go to "log" tab in cgit.
Comment 3 tcl_de 2019-03-24 11:37:34 UTC
(In reply to Julien Nabet from comment #1)
> Could you rename your LO directory profile
> (https://wiki.documentfoundation.org/UserProfile#Windows) and give it a new
> try?

Yes of course. I just tried again after renaming the profile Folder and it still doesn't work.
Comment 4 Mike Kaganski 2019-03-24 13:41:22 UTC
(In reply to himajin100000 from comment #2)
You are absolutely right: that was a patch to master only, meaning that it only will be available in 6.3.
Comment 5 Julien Nabet 2019-03-25 14:24:01 UTC
(In reply to Mike Kaganski from comment #4)
> (In reply to himajin100000 from comment #2)
> You are absolutely right: that was a patch to master only, meaning that it
> only will be available in 6.3.

Would it be ok to cherry-pick it on 6.2 branch or are there some cons?
Comment 6 Mike Kaganski 2019-03-25 14:33:00 UTC
(In reply to Julien Nabet from comment #5)

I don't know. Possibly that's OK - but I suppose that we haven't tested those configurations, so I'm not sure what is our policy here.
Comment 7 Stephan Bergmann 2019-03-25 14:38:19 UTC
looks reasonable to me to backport the fix to libreoffice-6-2
Comment 8 Julien Nabet 2019-03-25 15:09:48 UTC
Thank you Mike and Stephan for your feedback.

Cherry-pick for 6.2 branch on review here:
https://gerrit.libreoffice.org/#/c/69688/
Comment 9 Xisco Faulí 2019-03-27 11:51:24 UTC
--- Comment #9 from Commit Notification <libreoffice-commits at lists.freedesktop.org> ---
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/be9c3ff7ac198ae3bc04f2595d373b8711eecbc1%5E%21

Support Amazon Corretto (tdf#124297)

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.

Message lost during the BZ outage -> https://lists.freedesktop.org/archives/libreoffice-bugs/2019-March/176618.html
Comment 10 Xisco Faulí 2019-03-27 11:52:11 UTC
--- Comment #10 from Julien Nabet <serval2412 at yahoo.fr> ---
Let's add target 6.3.0 with
https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-6-2&id=41507db590b24e1b9b45d95cad55c71ba2e4091d
and put this one TO RESOLVED/FIXED.

Message lost during the BZ outage -> https://lists.freedesktop.org/archives/libreoffice-bugs/2019-March/176620.html
Comment 11 seatech 2022-04-05 21:58:40 UTC Comment hidden (spam)